{
  "name": "@benzinga/utils",
  "version": "1.0.0",
  "description": "A package to holds util function used by the benzinga team",
  "author": "Zaid Nackasha <Zaid@Benzinga.com",
  "homepage": "",
  "license": "UNLICENSED",
  "main": "./dist/index.js",
  "types": "./dist/index.d.ts",
  "directories": {
    "test": "__tests__"
  },
  "publishConfig": {
    "registry": "https://gitlab.benzinga.io/api/v4/projects/${CI_PROJECT_ID}/packages/npm/"
  },
  "files": [
    "dist/*"
  ],
  "repository": {
    "type": "git",
    "url": "https://gitlab.benzinga.io/benzinga/fusion.git"
  },
  "scripts": {
    "build": "cross-env NODE_ENV=production webpack --config ./webpack.config.js --mode production && tsc --emitDeclarationOnly",
    "build:dev": "cross-env NODE_ENV=development webpack --config ./webpack.config.js --mode none && tsc --emitDeclarationOnly",
    "lint:ci": "yarn run lint",
    "lint": "yarn run lint:file src/",
    "lint:file": "eslint --ext .ts,.tsx,.js --no-error-on-unmatched-pattern --ignore-pattern \"**/*.min.js\" --cache --cache-location node_modules/.eslint-cache/",
    "lint:fix": "yarn run lint --fix",
    "lint:file:fix": "yarn run lint:file --fix",
    "precommit": "lint-staged --no-stash",
    "prettier": "prettier src/**/*.t{sx,s} --write",
    "start": "yarn run watch",
    "watch": "yarn run build:dev -- --watch"
  },
  "dependencies": {
    "cross-env": "^7.0.3",
    "fast-json-stable-stringify": "2.1.0"
  },
  "devDependencies": {
    "@babel/core": "^7.12.9",
    "@babel/plugin-proposal-class-properties": "^7.12.1",
    "@babel/plugin-proposal-do-expressions": "^7.12.1",
    "@babel/plugin-proposal-object-rest-spread": "^7.12.1",
    "@babel/plugin-transform-modules-commonjs": "^7.12.1",
    "@babel/plugin-transform-parameters": "^7.12.1",
    "@babel/plugin-transform-react-constant-elements": "^7.12.1",
    "@babel/plugin-transform-runtime": "^7.12.1",
    "@babel/plugin-transform-template-literals": "^7.12.1",
    "@babel/preset-env": "^7.12.7",
    "@babel/preset-react": "^7.12.7",
    "@babel/preset-typescript": "^7.12.7",
    "@babel/runtime-corejs3": "^7.12.5",
    "@types/prettier": "2.1.5",
    "@typescript-eslint/eslint-plugin": "^4.8.1",
    "@typescript-eslint/parser": "^4.8.1",
    "babel-core": "7.0.0-bridge.0",
    "babel-loader": "^8.2.2",
    "babel-plugin-styled-components": "^1.12.0",
    "babel-plugin-transform-react-remove-prop-types": "0.4.24",
    "babel-polyfill": "6.26.0",
    "core-js": "^3.8.1",
    "eslint": "^7.13.0",
    "eslint-config-prettier": "^6.15.0",
    "eslint-loader": "^4.0.2",
    "eslint-plugin-prettier": "^3.1.4",
    "eslint-plugin-react": "^7.21.0",
    "eslint-plugin-sort-destructure-keys": "^1.3.5",
    "eslint-plugin-typescript-sort-keys": "^1.5.0",
    "prettier": "2.2.0",
    "ts-loader": "^8.0.11",
    "typescript": "^4.2.2",
    "webpack": "5.11.1",
    "webpack-cli": "^4.3.1"
  },
  "peerDependencies": {
    "@benzinga/safe-await": "^0.1.0",
    "@benzinga/subscribable": "^1.0.0"
  },
  "lint-staged": {
    "*.[tj]{sx,s}": [
      "eslint --ext .ts,.tsx,.js --no-error-on-unmatched-pattern --ignore-pattern \"**/*.min.js\" --cache"
    ]
  }
}
